## Azure SQL Data Warehouse Insights
The Azure SQL Data Warehouse insight widget extension provides a pre-built dashboard surfacing insights to your data warehouse. This helps with scenarios around managing and tuning your data warehouse to ensure it is optimized for consistent performance.

For any issues with this extension, please submit them here:
[SQL Data Warehouse Samples - issues](https://github.com/Microsoft/sql-data-warehouse-samples/issues).

If you have any feedback, please contact: sqldwadvisor@service.microsoft.com.

The following widgets are generated by using T-SQL monitoring scripts embedded within SQL Operations Studio. All monitoring scripts are uploaded to the following github:
[SQL Data Warehouse Samples](https://github.com/Microsoft/sql-data-warehouse-samples/tree/master/samples/sqlops/MonitoringScripts).

## Backup Details and User Activities
Identify and understand workload patterns through active sessions, active queries, queued queries, loads, and backups.

## Rowgroup Trim Reason Count and Tables Impacted by Skew and Statistics
Leverage views to help maximize columnstore row group quality and discover specific tables impacted by suboptimal statistics and data skew.

## Data Skew
Detect data skew across distributions to help identify and troubleshoot query performance issues.

## Memory Grant Required
Immediately calculate the memory grant required per table to optimally load into SQL Data Warehouse.

## Storage Size 
Identify your total storage size which includes total database size, unallocated, and reserved space.

