SELECT	sm.[name]                                                       AS [logical_schema_name]
,       tb.[name]                                                       AS [logical_table_name]
,		ps.[distribution_id]                                            AS [distribution_id]
,		ps.[partition_number]
,		ps.[row_group_id]
,		ps.[delta_store_hobt_id]
,		ps.[state_desc]
,		ps.[total_rows]
,		ps.[deleted_rows]
,		ps.[size_in_bytes]
,		ps.[trim_reason_desc]
,		ps.[transition_to_compressed_state_desc]
,		ps.[has_vertipaq_optimization]
,		ps.[created_time]
,		ps.[closed_time]
,		ps.[generation]
FROM    sys.[schemas] sm
JOIN    sys.[tables] tb													ON  sm.[schema_id]          = tb.[schema_id]
JOIN    sys.[pdw_table_mappings] mp										ON  tb.[object_id]          = mp.[object_id]
JOIN    sys.[pdw_nodes_tables] nt										ON  nt.[name]               = mp.[physical_name]
JOIN	sys.[dm_pdw_nodes_db_column_store_row_group_physical_stats]	ps	ON  ps.[object_id]          = nt.[object_id]
																		AND ps.[pdw_node_id]        = nt.[pdw_node_id]
																		AND ps.[distribution_id]    = nt.[distribution_id]
